﻿@model DataAccess.Model.Article

@{Html.RenderAction("SidemenuText", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @if (TempData["error"] != null)
        {
            <div class="alert alert-danger alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["error"]
            </div>
        }
        <h2>Vytvoření nového článku</h2>
        @using (Ajax.BeginForm("ArticleCreation", "Text", null, new AjaxOptions() { HttpMethod = "Post", UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
        {
            @Html.AntiForgeryToken()

            <div class="container">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Název článku</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Name, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Name)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Autor</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Author, new { @class = "form-control", @Value = @User.Identity.Name })
                        @Html.ValidationMessageFor(x => x.Author)
                    </div>
                </div>


                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Kategorie</label>
                    <div class="col-sm-10">
                        @Html.DropDownList("categoryId", new SelectList(ViewBag.Categories, "Id", "Name"), new { @class = "form-control" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Popis</label>
                    <div class="col-sm-10 float-right">
                        @Html.TextAreaFor(x => x.Description, new { @class = "form-control", @id = "summernote" })
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">Vytvořit článek</button>
                        <a href="@Url.Action("IndexText", "Text")" class="btn btn-primary pull-right">Zpět</a>
                    </div>
                </div>
            </div>
        }
    </div>
</div>

<script>
    $('#summernote').summernote({
        placeholder: 'Zde napište text...',
        height: 370,
        callbacks: {
            onImageUpload: function(files) {

                var formData = new FormData();
                formData.append("file", files[0]);

                $.ajax({
                    url: "@Url.Action("PictureArticle", "Text")",
                    data: formData,
                    type: 'POST',
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function(imageUrl) {
                        $('#summernote').summernote('insertImage', imageUrl); //volžení do summernote s vlastním src 
                    }
                });
            },
            onMediaDelete: function(target) {
                var fullPath = target[0].src;
                var fileName = fullPath.replace(/^.*[\\\/]/, '');
                $.ajax({
                    url: "@Url.Action("DeletePicture")?fileName=" + fileName,
                        type: 'POST',
                        cache: false,
                        contentType: false,
                        processData: false
                });
            }
        }
    });
</script>